import request from '@/utils/request'

// 查询资产管理基础文档清单列表
export function listBasedoc(query) {
  return request({
    url: '/asset/basedoc/list',
    method: 'get',
    params: query
  })
}

// 查询资产管理基础文档清单详细
export function getBasedoc(id) {
  return request({
    url: '/asset/basedoc/' + id,
    method: 'get'
  })
}

// 新增资产管理基础文档清单
export function addBasedoc(data) {
  return request({
    url: '/asset/basedoc',
    method: 'post',
    data: data
  })
}

// 修改资产管理基础文档清单
export function updateBasedoc(data) {
  return request({
    url: '/asset/basedoc',
    method: 'put',
    data: data
  })
}

// 删除资产管理基础文档清单
export function delBasedoc(id) {
  return request({
    url: '/asset/basedoc/' + id,
    method: 'delete'
  })
}
